<mat-card>
  <mat-card-title>
     <h2>Gestione accounts</h2>   <mat-icon routerLinkActive="list-item-active" routerLink="/default/users" style="cursor: pointer; transform: scale(2); float: right;margin-right: 10px; margin-top: -35px; color: #e2c231;background-color: black; border-radius: 50%; ">add_circle</mat-icon>
  </mat-card-title>
  <mat-card-content>

      <mat-form-field>
          <mat-label>Filter</mat-label>
          <input matInput placeholder="Filtra" (keyup)="applyFilter($event)">
      </mat-form-field>
        <div>
          <table mat-table [dataSource]="dataSource" matSort>

              <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>NOME</th>
                  <td mat-cell *matCellDef="let row">{{row.name}}</td>
              </ng-container>

              <ng-container matColumnDef="lastname">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>COGNOME</th>
                  <td mat-cell *matCellDef="let row">{{row.lastname}}</td>
              </ng-container>

              <ng-container matColumnDef="mail">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>MAIL</th>
                  <td mat-cell *matCellDef="let row">{{row.mail}}</td>
              </ng-container>

              <ng-container matColumnDef="phone">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>TELEFONO</th>
                  <td mat-cell *matCellDef="let row">{{row.phone}}</td>
              </ng-container>

              <ng-container matColumnDef="type">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>TIPO</th>
                  <td mat-cell *matCellDef="let row">{{row.type}}</td>
              </ng-container>

              <ng-container matColumnDef="company">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>SOCIETÀ</th>
                  <td mat-cell *matCellDef="let row">{{row.company}}</td>
              </ng-container>

              <ng-container matColumnDef="note">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>NOTE</th>
                <td mat-cell *matCellDef="let row">{{row.note}}</td>
            </ng-container>

              <ng-container matColumnDef="actions">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header>ACTIONS</th>
                  <td mat-cell *matCellDef="let row">
                      <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
                          <mat-icon>more_vert</mat-icon>
                      </button>
                      <mat-menu #menu="matMenu">
                          <button mat-menu-item routerLinkActive="list-item-active" routerLink="/default/modifyUsers">
                              <mat-icon>edit</mat-icon>
                              <span>Edit</span>
                          </button>

                          <button mat-menu-item>
                              <mat-icon>delete</mat-icon>
                              <span>Delete</span>
                          </button>


                      </mat-menu>

                  </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="columns"></tr>
              <tr mat-row *matRowDef="let row; columns: columns;"></tr>

          </table>

          <mat-paginator [length]="users.length" [pageSize]="5" [pageSizeOptions]="[1, 5, 10, 25, 100]"
              aria-label="Select page">
          </mat-paginator>
          </div>
  </mat-card-content>
  </mat-card>
  <br>
